add__gen_id() {
    local last_num_filename
    last_num_filename="$(basename "$(ls "$MZK_PATH"/*.md | grep '\d' | cut -f1 | tail -1)")"
    if [[ "$?" -eq "0" ]]; then
        bc -e "${last_num_filename%.*} + 1"
    else
        echo 0
    fi
}

add__add() {
    local note_id=${OPT_id:-$(add__gen_id)}
    echo "# $1" > "$MZK_PATH/$note_id.md"
    console__info mzk "created note $note_id"
    console__info mzk "edit it with 'mzk edit $note_id'"
}

add__parser() {
    shift
    declare -A COMMANDS=(
        [main]=add__add
        [--id]=set_value
    )
    argparse "$@"
}
